sessions module route (requires sessions:workspace:write)
POST
/v1/m/sessions/workspaces/{ref}/files/move
const url = 'https://example.com/v1/m/sessions/workspaces/example/files/move';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"from":"example","to":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/sessions/workspaces/example/files/move \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "from": "example", "to": "example" }'Moves one workspace entry from the posted source path to the posted destination path.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” ref
required
string
Path parameter ref.
Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
object
from
required
Relative, NUL-free path jailed inside the workspace; it cannot resolve to the workspace root.
string
to
required
Relative, NUL-free path jailed inside the workspace; it cannot resolve to the workspace root.
string
Example generated
{ "from": "example", "to": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}